AGTransactionState (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository, enum: AGTransactionState

Package com.franz.agraph.repository

# Enum Class AGTransactionState

java.lang.Object
java.lang.Enum<AGTransactionState>
com.franz.agraph.repository.AGTransactionState

All Implemented Interfaces:
  `Serializable`, `Comparable<AGTransactionState>`, `Constable`

public enum AGTransactionState extends Enum<AGTransactionState>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVE`
  State after `AGRepositoryConnection.begin()` is called
  `AUTOCOMMIT_DEFAULT`
  The default state of a new AGRepositoryConnection `AGHttpRepoClient.isAutoCommit()` is true, but `AGRepositoryConnection.isActive()`) returns false
  `AUTOCOMMIT_ENABLED`
  `AGRepositoryConnection.setAutoCommit(boolean)`(true) was explicitly called
  `COMMIT_SUCCESSFUL`
  State after `AGRepositoryConnection.commit()` has completed
  `ROLLBACK_SUCCESSFUL`
  State after `AGRepositoryConnection.rollback()` has completed

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AGTransactionState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AGTransactionState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTOCOMMIT_DEFAULT

    public static final AGTransactionState AUTOCOMMIT_DEFAULT
    The default state of a new AGRepositoryConnection `AGHttpRepoClient.isAutoCommit()` is true, but `AGRepositoryConnection.isActive()`) returns false

  - ### AUTOCOMMIT_ENABLED

    public static final AGTransactionState AUTOCOMMIT_ENABLED
    `AGRepositoryConnection.setAutoCommit(boolean)`(true) was explicitly called

  - ### ACTIVE

    public static final AGTransactionState ACTIVE
    State after `AGRepositoryConnection.begin()` is called

  - ### COMMIT_SUCCESSFUL

    public static final AGTransactionState COMMIT_SUCCESSFUL
    State after `AGRepositoryConnection.commit()` has completed

  - ### ROLLBACK_SUCCESSFUL

    public static final AGTransactionState ROLLBACK_SUCCESSFUL
    State after `AGRepositoryConnection.rollback()` has completed

- ## Method Details

  - ### values

    public static AGTransactionState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AGTransactionState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null